Bug 1792462 - Adopting sysusers.d format
Summary: Adopting sysusers.d format
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-17 16:52 UTC by Ben Cotton
Modified: 2020-04-28 14:30 UTC (History)
2 users (show)

Fixed In Version: systemd-245~rc1-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 14:30:25 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-01-17 16:52:29 UTC
This is a tracking bug for Change: Adopting sysusers.d format
For more details, see: https://fedoraproject.org/wiki/Changes/Adopting_sysusers.d_format

Files in sysusers.d format will be used to declare systems users so it will be possible to introspect system users. Users will still be created using old-style useradd calls.

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-02-10 16:52:53 UTC
The basic machinery (rpm macros) in systemd-rpm-macros is now done. Unfortunately I missed
the mass rebuild, which means that packages will not get the new Provides:user() and group()
until they are rebuilt. Packages which do not use sysusers require more work. I converted
munge as an example: https://src.fedoraproject.org/rpms/munge/pull-request/1. I'll have time
to work more on this two weeks from now, and I'll submit some no-op rebuilds and PRs then.

Comment 2 Ben Cotton 2020-02-11 18:13:52 UTC
Branching Fedora 32 Changes from rawhide. Today is the Code Complete (testable) deadline. Please make sure your bug status is set appropriately:

Complete (testable) -> MODIFIED
Complete (100% code complete) -> ON_QA (deadline is 25 February)

If you need to defer this change until Fedora 33, please set the version back to 'rawhide'.

Comment 3 Ben Cotton 2020-02-28 16:31:43 UTC
The Code Complete (100% Complete) deadline has passed. If your Change is 100% complete, please set the status of this bug to ON_QA. If you need to defer to Fedora 33, please set the version to rawhide. A list of incomplete changes is being submitted to FESCo for review.

Comment 4 Zbigniew Jędrzejewski-Szmek 2020-02-29 12:20:46 UTC
The implementation on systemd side is there. Now all packages need to be converted...

Comment 5 Ben Cotton 2020-04-28 14:30:25 UTC
Fedora 32 is released!


Note You need to log in before you can comment on or make changes to this bug.